<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Dozenten\SammelEMail;

class SammelEMailController extends \Kufer\KuferTools\Ausgaben\SammelEMail\AnDozenten\SammelEMailController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new SammelEMailUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $request = parent::getRequestObj();
    $request->email_num = \RequestOperations::getVarValue('email_num', '0');

    return $request;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SammelEMailPresenter($pUseCaseResponse);
  }
}